Skip to content
Start here

Get Image Transformations Allowed Origins setting

zones.transformations_allowed_origins.get(TransformationsAllowedOriginGetParams**kwargs) -> TransformationsAllowedOrigins
GET/zones/{zone_id}/settings/transformations_allowed_origins

Media Transformations Allowed Origins restricts transformations for images and video served through Cloudflare’s network to requests originating from specified domains. Refer to the Image Transformations and Video Transformations documentation for more information.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zone Settings WriteZone Settings Read
ParametersExpand Collapse
zone_id: str

Identifier.

maxLength32
ReturnsExpand Collapse
class TransformationsAllowedOrigins:

Controls which origins are allowed to request image and video transformations.

id: Optional[Literal["image_resizing_allowed_origins"]]

ID of the zone setting.

editable: Optional[Literal[true, false]]

Whether or not this setting can be modified for this zone (based on your Cloudflare plan level).

One of the following:
true
false
modified_on: Optional[datetime]

last time this setting was modified.

formatdate-time
value: Optional[Literal["on", "off"]]

Comma-separated list of allowed origin domains for image and video transformations. Use ”*” to allow all origins (default).

One of the following:
"on"
"off"

Get Image Transformations Allowed Origins setting

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
transformations_allowed_origins = client.zones.transformations_allowed_origins.get(
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(transformations_allowed_origins.id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "image_resizing_allowed_origins",
    "editable": true,
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "value": "on"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "image_resizing_allowed_origins",
    "editable": true,
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "value": "on"
  }
}